<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formulário de Solicitação de Folga</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 20px;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            height: 100vh;
        }

        h2 {
            margin-top: 0;
        }

        form {
            border: 1px solid #ccc;
            padding: 20px;
            width: 300px;
        }

        label {
            display: block;
            margin-bottom: 10px;
        }

        select {
            width: 100%;
            padding: 5px;
            margin-bottom: 10px;
        }

        input[type="submit"] {
            padding: 10px 20px;
            background-color: #4CAF50;
            color: #fff;
            border: none;
            cursor: pointer;
        }
     </style>
</head>
<body>
    <h2>Formulário de Solicitação de Folga</h2>
    
    <?php
    // Exibir mensagens de erro ou sucesso
    if (isset($_GET['error'])) {
        $error = $_GET['error'];
        switch ($error) {
            case 'dias_ocupados':
                echo "<p style='color: red;'>Erro: O dia escolhido já está ocupado por outro colaborador.</p>";
                break;
            case 'limite_folgas':
                echo "<p style='color: red;'>Erro: Você atingiu o limite máximo de folgas.</p>";
                break;
            case 'folga_ja_marcada':
                echo "<p style='color: red;'>Erro: Este dia já foi marcado por outro colaborador.</p>";
                break;
        }
    } elseif (isset($_GET['success'])) {
        echo "<p style='color: green;'>As folgas foram marcadas com sucesso.</p>";
    }
    ?>

    <form method="POST" action="processar.php">
        <label for="nome">Nome:</label>
        <select name="nome" required>
            <?php
            $nomes = array(
                "Jessica Fernandes",
                "Carlinda Teixeira",
                "Angela Francisca",
                "Pamela Moraes",
                "Deise Patricia",
                "Vera L. Silva",
                "Thais Prudente",
                "Rosiele Tavares",
                "Fabiana Ap",
                "Cruz",
                "Geovanna",
            );

            foreach ($nomes as $nomeOpcao) {
                echo "<option value='$nomeOpcao'>$nomeOpcao</option>";
            }
            ?>
        </select>

        <label for="equipe">Equipe:</label>
        <select name="equipe" required>
            <option value="Branca">Branca</option>
            <option value="Azul">Azul</option>
            <option value="Amarela">Amarela</option>
            <option value="Verde">Verde</option>
        </select>

        <label for="dia_folga1">Primeiro Dia de Folga:</label>
<select name="dia_folga1" required>
    <?php
    $diasDisponiveis = array(
        "02 Dia", "02 Noite", "03 Dia", "03 Noite", "04 Dia", "04 Noite", 
        "05 Dia", "05 Noite", "06 Dia", "06 Noite", "07 Dia", "07 Noite", "08 Dia", "08 Noite", 
        "09 Dia", "09 Noite", "10 Dia", "10 Noite", "11 Dia", "11 Noite", "12 Dia", "12 Noite", 
        "13 Dia", "13 Noite", "14 Dia", "14 Noite", "15 Dia", "15 Noite", "16 Dia", "16 Noite", 
        "17 Dia", "17 Noite", "18 Dia", "18 Noite", "19 Dia", "19 Noite", "20 Dia", "20 Noite", 
        "21 Dia", "21 Noite", "22 Dia", "22 Noite", "23 Dia", "23 Noite", "26 Dia", "26 Noite", 
        "27 Dia", "27 Noite", "28 Dia", "28 Noite", "29 Dia", "29 Noite", "30 Dia", "30 Noite"
    );

    if (file_exists("folgas.txt")) {
        $dados = file("folgas.txt", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
        $diasMarcados = [];

        foreach ($dados as $linha) {
            list($id, $data, $funcionario) = explode("|", $linha);
            $diasMarcados[] = $data;
        }

        // Remover os dias já marcados da lista de dias disponíveis
        $diasDisponiveis = array_diff($diasDisponiveis, $diasMarcados);
    }

    foreach ($diasDisponiveis as $dia) {
        echo "<option value='$dia'>$dia</option>";
    }
    ?>
</select>

        <input type="submit" value="Enviar">
    </form>

    <div class="available-names">
        <h3>Funcionários que já marcaram as folgas:</h3>
        <ul>
            <?php
            // Exibir lista de funcionários que marcaram folgas
            if (file_exists("folgas.txt")) {
                $dados = file("folgas.txt", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

                foreach ($dados as $linha) {
                    list($id, $data, $funcionario) = explode("|", $linha);
                    echo "<li>$funcionario - $data</li>";
                }
            }
            ?>
        </ul>
    </div>

    <div class="credit">
        <p>Criador: Michael Reis</p>
        <p>Contato: 19 992477928</p>
    </div>

    <script>
        // JavaScript aqui...
    </script>
</body>
</html>
