<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formulário de Solicitação de Folga AGOSTO</title>
    <style>
        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            min-height: 100vh;
            background-color: #f0f0f0;
        }

        h2 {
            margin-top: 0;
            font-size: 24px;
            color: #333;
            text-align: center;
        }

        form {
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            width: 100%;
            max-width: 400px;
            margin: 20px 0;
        }

        label {
            display: block;
            margin-bottom: 8px;
            font-weight: bold;
            color: #555;
        }

        select, input[type="submit"] {
            width: 100%;
            padding: 10px;
            margin-bottom: 15px;
            border-radius: 4px;
            border: 1px solid #ccc;
            font-size: 16px;
            box-sizing: border-box;
            transition: border-color 0.3s;
        }

        select:focus, input[type="submit"]:hover {
            border-color: #007bff;
            outline: none;
        }

        input[type="submit"] {
            background-color: #007bff;
            color: #fff;
            border: none;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }

        input[type="submit"]:hover {
            background-color: #0056b3;
        }

        .available-names, .credit {
            text-align: center;
            width: 100%;
            max-width: 400px;
            margin-top: 20px;
        }

        ul {
            list-style-type: none;
            padding: 0;
        }

        li {
            background-color: #e9ecef;
            margin-bottom: 8px;
            padding: 10px;
            border-radius: 4px;
            color: #333;
        }

        .credit p {
            margin: 5px 0;
            color: #777;
        }
    </style>
</head>
<body>
    <h2>Formulário de Solicitação de Folga</h2>

    <?php
    if (isset($_GET['error'])) {
        $error = $_GET['error'];
        echo "<p style='color: red; text-align: center;'>Erro: ";
        switch ($error) {
            case 'dias_ocupados':
                echo "O dia escolhido já está ocupado por outro colaborador.";
                break;
            case 'limite_folgas':
                echo "Você atingiu o limite máximo de folgas.";
                break;
            case 'folga_ja_marcada':
                echo "Este dia já foi marcado por outro colaborador.";
                break;
        }
        echo "</p>";
    } elseif (isset($_GET['success'])) {
        echo "<p style='color: green; text-align: center;'>As folgas foram marcadas com sucesso.</p>";
    }
    ?>

    <form method="POST" action="processar.php">
        <label for="nome">Nome:</label>
        <select name="nome" id="nome" required>
            <?php
            $nomes = array(
                "Jessica Fernandes",
                "Carlinda Teixeira",
                "Angela Francisca",
                "Rodrigo",
                "Tassia",
                "Rafael",
                "Thais Prudente",
                "Rosiele Tavares",
                "Marcia",
                "Cristiana",
                "Juliana",
                "Anderson",
            );

            foreach ($nomes as $nomeOpcao) {
                echo "<option value='$nomeOpcao'>$nomeOpcao</option>";
            }
            ?>
        </select>

        <label for="equipe">Equipe:</label>
        <select name="equipe" id="equipe" required>
            <option value="Branca">Branca</option>
            <option value="Azul">Azul</option>
            <option value="Amarela">Amarela</option>
            <option value="Verde">Verde</option>
        </select>

        <label for="dia_folga">Dia de Folga:</label>
        <select name="dia_folga" id="dia_folga" required>
            <?php
            $diasDisponiveis = array(
                "02 Dia", "02 Noite", "03 Dia", "03 Noite", 
                "09 Dia", "09 Noite", "10 Dia", "10 Noite",
                "16 Dia", "16 Noite", "17 Dia", "17 Noite",
                "23 Dia", "23 Noite", "24 Dia", "24 Noite", "30 Dia", "30 Noite"
            );

            $arquivo = "folgas.txt";
            if (file_exists($arquivo)) {
                $dados = file($arquivo, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
                foreach ($dados as $linha) {
                    list($data, $funcionario) = explode("|", $linha);
                    $index = array_search($data, $diasDisponiveis);
                    if ($index !== false) {
                        unset($diasDisponiveis[$index]);
                    }
                }
            }

            foreach ($diasDisponiveis as $dia) {
                echo "<option value='$dia'>$dia</option>";
            }
            ?>
        </select>

        <input type="submit" value="Enviar">
    </form>

    <div class="available-names">
        <h3>Funcionários que já marcaram as folgas:</h3>
        <ul>
            <?php
            $arquivo = "folgas.txt";
            if (file_exists($arquivo)) {
                $dados = file($arquivo, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
                foreach ($dados as $linha) {
                    list($data, $funcionario) = explode("|", $linha);
                    echo "<li>$funcionario - $data</li>";
                }
            }
            ?>
        </ul>
    </div>

    <div class="credit">
        <p>Criador: Michael Reis</p>
        <p>Contato: 19 992477928</p>
    </div>

</body>
</html>
