<?php
// Verifica se o formulário foi enviado
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Obtém os dados do formulário
    $nome = $_POST["nome"];
    $equipe = $_POST["equipe"];
    $diaFolga1 = $_POST["dia_folga1"];
    $diaFolga2 = $_POST["dia_folga2"];

    // Verifica se o arquivo de registro já existe
    $arquivo = "folgas.txt";
    if (file_exists($arquivo)) {
        // Lê os dados existentes do arquivo
        $dados = file($arquivo, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
        foreach ($dados as $linha) {
            list($data, $funcionario) = explode("|", $linha);
            // Verifica se algum dos dias já está marcado por outro funcionário
            if ($data == $diaFolga1 || $data == $diaFolga2) {
                die("Um ou mais dias selecionados já estão marcados por outro funcionário. <a href='index2.php'>Voltar</a>");
            }
            // Verifica se o funcionário já marcou duas folgas
            if ($funcionario == $nome && count(array_keys($dados, $funcionario)) >= 2) {
                die("Você já marcou o limite máximo de folgas. <a href='index2.php'>Voltar</a>");
            }
        }
    }

    // Adiciona as novas folgas ao arquivo de registro
    $novaLinha1 = $diaFolga1 . "|" . $nome . PHP_EOL;
    $novaLinha2 = $diaFolga2 . "|" . $nome . PHP_EOL;
    file_put_contents($arquivo, $novaLinha1, FILE_APPEND);
    file_put_contents($arquivo, $novaLinha2, FILE_APPEND);

    // Exibe uma mensagem de sucesso em uma janela de alerta usando JavaScript
    echo "<script>alert('As folgas foram marcadas com sucesso.');</script>";
}
?>

<!DOCTYPE html>
<html>
<head>
    <title>Formulário de Solicitação de Folga</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 20px;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            height: 100vh;
        }

        h2 {
            margin-top: 0;
        }

        form {
            border: 1px solid #ccc;
            padding: 20px;
            width: 300px;
        }

        label {
            display: block;
            margin-bottom: 10px;
        }

        select {
            width: 100%;
            padding: 5px;
            margin-bottom: 10px;
        }

        input[type="submit"] {
            padding: 10px 20px;
            background-color: #4CAF50;
            color: #fff;
            border: none;
            cursor: pointer;
        }

        .available-names {
            margin-top: 20px;
            font-weight: bold;
        }

        .credit {
            position: fixed;
            bottom: 10px;
            right: 10px;
            font-size: 12px;
        }
    </style>
</head>
<body>
    <h2>Formulário de Solicitação de Folga</h2>
    <form method="POST" action="<?php echo $_SERVER["PHP_SELF"]; ?>">
        <label for="nome">Nome:</label>
        <select name="nome" required>
            <?php
            $nomes = array("José Joaquim Sousa", "Vanderlei José dos Santos", "Adão Pereira", "Marcelo da Silva", "Aldivan Pereira de Melo", "Fabiano Isael B. Pinheiro", "Carlos Roberto Oliveir", "Marcelo Correa Moraes", "Luciano Azevedo Alves", "Nivaldo Lugl", "Emerson Fernando Costa", "Alessandro G. Nascimento", "Roberto Jesus da Silva", "Dalton Luiz Steffen", "Bruno Dias Marcondes", "Claudemir Ap. Santos");
            foreach ($nomes as $nomeOpcao) {
                echo "<option value='$nomeOpcao'>$nomeOpcao</option>";
            }
            ?>
        </select>

        <label for="equipe">Equipe:</label>
        <select name="equipe" required>
            <option value="Branca">Branca</option>
            <option value="Azul">Azul</option>
            <option value="Amarela">Amarela</option>
            <option value="Verde">Verde</option>
        </select>

        <label for="dia_folga1">Primeiro Dia de Folga:</label>
        <select name="dia_folga1" required>
            <?php
            // Exibe uma lista de opções para os dias disponíveis
            $diasDisponiveis = array("01 Dia", "01 Noite", "02 Dia", "02 Noite", "03 Dia", "03 Noite", "04 Dia", "04 Noite", "05 Dia", "05 Noite", "06 Dia", "06 Noite", "07 Dia", "07 Noite", "08 Dia", "08 Noite", "09 Dia", "09 Noite", "10 Dia", "10 Noite", "11 Dia", "11 Noite", "12 Dia", "12 Noite", "13 Dia", "13 Noite", "14 Dia", "14 Noite", "15 Dia", "15 Noite", "16 Dia", "16 Noite", "17 Dia", "17 Noite", "18 Dia", "18 Noite", "19 Dia", "19 Noite", "20 Dia", "20 Noite", "21 Dia", "21 Noite", "22 Dia", "22 Noite", "23 Dia", "23 Noite", "24 Dia", "24 Noite", "25 Dia", "25 Noite", "26 Dia", "26 Noite", "27 Dia", "27 Noite", "28 Dia", "28 Noite", "29 Dia", "29 Noite", "30 Dia", "30 Noite", "31 Dia", "31 Noite"); // Altere os dias conforme necessário
            $arquivo = "folgas.txt";
            if (file_exists($arquivo)) {
                $dados = file($arquivo, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
                foreach ($dados as $linha) {
                    list($data, $funcionario) = explode("|", $linha);
                    $index = array_search($data, $diasDisponiveis);
                    if ($index !== false) {
                        unset($diasDisponiveis[$index]);
                    }
                }
            }
            foreach ($diasDisponiveis as $dia) {
                echo "<option value='$dia'>$dia</option>";
            }
            ?>
        </select>

        <label for="dia_folga2">Segundo Dia de Folga:</label>
        <select name="dia_folga2" required>
            <?php
            foreach ($diasDisponiveis as $dia) {
                echo "<option value='$dia'>$dia</option>";
            }
            ?>
        </select>

        <input type="submit" value="Enviar">
    </form>

    <div class="available-names">
        <h3>Funcionários que já marcaram as folgas:</h3>
        <ul>
            <?php
            foreach ($dados as $linha) {
                list($data, $funcionario) = explode("|", $linha);
                echo "<li>$funcionario - $data</li>";
            }
            ?>
        </ul>
    </div>

    <div class="credit">
        <p>Criador: Michael Reis</p>
        <p>Contato: 19 992477928</p>
    </div>

    <script>
        // Exibe a janela de alerta após um pequeno atraso para garantir que a mensagem seja vista
        setTimeout(function() {
           echo "As folgas foram marcadas com sucesso.";
        }, 500);
    </script>
</body>
</html>
