<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $nome = $_POST["nome"];
    $equipe = $_POST["equipe"];
    $diaFolga1 = $_POST["dia_folga1"];
    $diaFolga2 = $_POST["dia_folga2"];

    $arquivo = "folgas.txt";
    $limiteFolgas = 2; // Limite de folgas por colaborador
    
    if (file_exists($arquivo)) {
        $dados = file($arquivo, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
        $contagemFolgas = 0;

        foreach ($dados as $linha) {
            list($data, $funcionario) = explode("|", $linha);

            // Verifica se o dia já está ocupado por outro colaborador
            if ($data == $diaFolga1 || $data == $diaFolga2) {
                header("Location: index.php?error=dias_ocupados");
                exit();
            }

            // Conta o número de folgas do colaborador
            if ($funcionario == $nome) {
                $contagemFolgas++;
                if ($contagemFolgas >= $limiteFolgas) {
                    header("Location: index.php?error=limite_folgas");
                    exit();
                }
            }
        }
    }

    // Adiciona as folgas ao arquivo
    adicionarFolga($arquivo, $diaFolga1, $nome);
    if (!empty($diaFolga2)) {
        adicionarFolga($arquivo, $diaFolga2, $nome);
    }

    // Redireciona para a página de sucesso
    header("Location: index.php?success=true");
    exit();
}

function adicionarFolga($arquivo, $dia, $nome) {
    $novaLinha = $dia . "|" . $nome . PHP_EOL;
    
    // Utiliza FILE_APPEND para simplificar a adição de dados
    file_put_contents($arquivo, $novaLinha, FILE_APPEND | LOCK_EX);
}
?>
